Page MenuHomePhabricator

[mlir] Add documentation for PDLL LSP features and setup
ClosedPublic

Authored by rriddle on May 15 2022, 3:25 PM.

Details

Summary

This commit beefs up the documentation for MLIR language servers by
adding proper documentations/examples/etc for the provided PDLL
language server capabilities. Given that this documentation is also used
for the vscode extension, this commit also updates the user facing vscode
extension documentation.

Not that the images referenced in the new documentation are hosted on
the website, and will be commited to mlir-www shortly after this commit
lands.

Diff Detail

Event Timeline

rriddle created this revision.May 15 2022, 3:25 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 15 2022, 3:25 PM
rriddle requested review of this revision.May 15 2022, 3:25 PM
rriddle updated this revision to Diff 429576.May 15 2022, 3:30 PM
rriddle edited the summary of this revision. (Show Details)
rriddle updated this revision to Diff 430292.May 18 2022, 2:19 AM
rriddle updated this revision to Diff 431756.May 24 2022, 12:23 PM

(have to context switch so just partial scan)

mlir/docs/Tools/MLIRLSP.md
43

"should be provided to the necessary IDE ..." - this sentence takes some parsing and I think you could just delete it without loss.

139

Also absolute?

rriddle updated this revision to Diff 433927.Jun 2 2022, 5:41 PM
rriddle marked 2 inline comments as done.
jpienaar accepted this revision.Jun 5 2022, 10:21 AM

Nice, thanks

This revision is now accepted and ready to land.Jun 5 2022, 10:21 AM
This revision was automatically updated to reflect the committed changes.